WB32L003 Standard Peripherals Firmware Library

Data Fields
PCA_TypeDef Struct Reference
CMSIS » Wb32l003 » Device_Peripheral_peripherals

## Data Fields
__IOM uint32_t | CR
__IOM uint32_t | MOD
__IOM uint32_t | CNT
__IOM uint32_t | INTCLR
__IOM uint32_t | CCAPM0
__IOM uint32_t | CCAPM1
__IOM uint32_t | CCAPM2
__IOM uint32_t | CCAPM3
__IOM uint32_t | CCAPM4
__IM uint32_t | RESERVED0 [3]
__IOM uint32_t | CCAP0L
__IOM uint32_t | CCAP0H
__IOM uint32_t | CCAP1L
__IOM uint32_t | CCAP1H
__IOM uint32_t | CCAP2L
__IOM uint32_t | CCAP2H
__IOM uint32_t | CCAP3L
__IOM uint32_t | CCAP3H
__IOM uint32_t | CCAP4L
__IOM uint32_t | CCAP4H
__IOM uint32_t | CCAPO
__IOM uint32_t | POCR
__IOM uint32_t | CCAP0
__IOM uint32_t | CCAP1
__IOM uint32_t | CCAP2
__IOM uint32_t | CCAP3
__IOM uint32_t | CCAP4

## Field Documentation

## ◆ CCAP0

__IOM uint32_t CCAP0

PCA capture/compare model0 16 bits register, Address offset: 0x060

## ◆ CCAP0H

__IOM uint32_t CCAP0H

PCA capture/compare model0 high 8 bits register, Address offset: 0x034

## ◆ CCAP0L

__IOM uint32_t CCAP0L

PCA capture/compare model0 low 8 bits register, Address offset: 0x030

## ◆ CCAP1

__IOM uint32_t CCAP1

PCA capture/compare model 1 16 bits register, Address offset: 0x064

## ◆ CCAP1H

__IOM uint32_t CCAP1H

PCA capture/compare model 1 high 8 bits register, Address offset: 0x03C

## ◆ CCAP1L

__IOM uint32_t CCAP1L

PCA capture/compare model 1 low 8 bits register, Address offset: 0x038

## ◆ CCAP2

__IOM uint32_t CCAP2

PCA capture/compare model 2 16 bits register, Address offset: 0x068

## ◆ CCAP2H

__IOM uint32_t CCAP2H

PCA capture/compare model 2 high 8 bits register, Address offset: 0x044

## ◆ CCAP2L

__IOM uint32_t CCAP2L

PCA capture/compare model 2 low 8 bits register, Address offset: 0x040

## ◆ CCAP3

__IOM uint32_t CCAP3

PCA capture/compare model 3 16 bits register, Address offset: 0x06C

## ◆ CCAP3H

__IOM uint32_t CCAP3H

PCA capture/compare model 3 high 8 bits register, Address offset: 0x04C

## ◆ CCAP3L

__IOM uint32_t CCAP3L

PCA capture/compare model 3 low 8 bits register, Address offset: 0x048

## ◆ CCAP4

__IOM uint32_t CCAP4

PCA capture/compare model 4 16 bits register, Address offset: 0x070

## ◆ CCAP4H

__IOM uint32_t CCAP4H

PCA capture/compare model 4 high 8 bits register, Address offset: 0x054

## ◆ CCAP4L

__IOM uint32_t CCAP4L

PCA capture/compare model 4 low 8 bits register, Address offset: 0x050

## ◆ CCAPM0

__IOM uint32_t CCAPM0

PCA captuer/compare model 0 mode register, Address offset: 0x010

## ◆ CCAPM1

__IOM uint32_t CCAPM1

PCA captuer/compare model 0 mode register, Address offset: 0x014

## ◆ CCAPM2

__IOM uint32_t CCAPM2

PCA captuer/compare model 0 mode register, Address offset: 0x018

## ◆ CCAPM3

__IOM uint32_t CCAPM3

PCA captuer/compare model 0 mode register, Address offset: 0x01C

## ◆ CCAPM4

__IOM uint32_t CCAPM4

PCA captuer/compare model 0 mode register, Address offset: 0x020

## ◆ CCAPO

__IOM uint32_t CCAPO

PCA endpoint output control register, Address offset: 0x058

## ◆ CNT

__IOM uint32_t CNT

PCA count register, Address offset: 0x008

## ◆ CR

__IOM uint32_t CR

PCA control register, Address offset: 0x000

## ◆ INTCLR

__IOM uint32_t INTCLR

PCA interrupt clear register, Address offset: 0x00C

## ◆ MOD

__IOM uint32_t MOD

PCA mode register, Address offset: 0x004

## ◆ POCR

__IOM uint32_t POCR

PCA endpoint output control register, Address offset: 0x05C

## ◆ RESERVED0

__IM uint32_t RESERVED0[3]

Address offset: 0x024

The documentation for this struct was generated from the following file:

- wb32l003.h